﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Mq
{
    public partial class EventNames
    {
        /// <summary>
        /// 热线工单流程开启
        /// </summary>
        public const string HotlineOrderFlowStarted = "hotline.order.flow.started";

        /// <summary>
        /// 热线工单办理
        /// </summary>
        public const string HotlineOrderFlowHandled = "hotline.order.flow.handled";

        /// <summary>
        /// 撤回
        /// </summary>
        public const string HotlineOrderFlowRecalled = "hotline.order.flow.recalled";

        /// <summary>
        /// 退回
        /// </summary>
        public const string HotlineOrderFlowPrevious = "hotline.order.flow.previous";

        /// <summary>
        /// 热线工单期满时间变更
        /// </summary>
        public const string HotlineOrderExpiredTimeUpdate = "hotline.order.expiredtime.update";

        /// <summary>
        /// 热线工单归档---服务工单结果
        /// </summary>
        public const string HotlineOrderFiled = "hotline.order.filed";

        /// <summary>
        /// 回访完成
        /// </summary>
        public const string HotlineOrderVisited = "hotline.order.visited";

        /// <summary>
        /// 甄别申请
        /// </summary>
        public const string HotlineOrderScreenApply = "hotline.order.screen.apply";

        /// <summary>
        /// 甄别申请完成---甄别通过
        /// </summary>
        public const string HotlineOrderScreenApplyed = "hotline.order.screen.applyed";

		/// <summary>
		/// 督办过程
		/// </summary>
		public const string HotlineOrderSuperviseCourse = "hotline.order.supervise.course";

        /// <summary>
        /// 督办结果
        /// </summary>
        public const string HotlineOrderSuperviseResult = "hotline.order.supervise.result";

        /// <summary>
        /// 催办通知
        /// </summary>
        public const string HotlineOrderUrgeInform = "hotline.order.urge.inform";

        /// <summary>
        /// 工单退回申请
        /// </summary>
        public const string HotlineOrderSendBackApplyed = "hotline.order.sendback.applyed";
	}
}
